# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%define  debug_package %{nil}

Name:    folder-color
Version: 0.0.90
Release: ndias.1%{?dist}
Summary: Folder Color for Linux file browsers


License: GPLv3
URL:     https://costales.github.io/projects/folder-color
Source0: https://github.com/costales/folder-color/archive/master.zip#/folder-color-master.zip
BuildArch: noarch

BuildRequires: /usr/bin/python, python3-distutils-extra, python3-devel

%description
A file browser extension for choosing the color of a folder.

%prep
%setup -q -n folder-color-master


%build


%install
python setup.py install -O1 --root=%{buildroot}

%find_lang folder-color

%files -f folder-color.lang
%doc README README_THEME_SUPPORT
%license COPYING.GPL3

%dir %{_datadir}/doc/%{name}
%{python3_sitelib}/folder_color-%{version}-py%{python3_version}.egg-info
%{_datadir}/icons/hicolor/*x*/places/folder_color_*.svg
%{_datadir}/icons/hicolor/*x*/places/folder_custom*.svg
%{_datadir}/nautilus-python/extensions/folder-color.py


%changelog
* Mon Jan 18 2021 Nuno Dias <Nuno.Dias@gmail.com> - 0.0.90-ndias.1
- Version 0.0.90

* Sat May 16 2020 Nuno Dias <Nuno.Dias@gmail.com> - 0.0.88-ndias.1
- Version 0.0.88

